Bug 448422 - Review Request: trophy - Car racing game with special features
Review Request: trophy - Car racing game with special features
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 14:31 EDT by Hans de Goede
Modified: 2008-06-02 15:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 15:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-05-26 14:31:21 EDT
Spec URL: http://people.atrpms.net/~hdegoede/trophy.spec
SRPM URL: http://people.atrpms.net/~hdegoede/trophy-1.1.5-1.fc9.src.rpm
Description:
TROPHY is a car racing game with some special features
like shooting and dropping bombs.
Comment 1 Dan Horák 2008-05-31 05:35:30 EDT
formal review:

OK	source files match upstream:
	    11fbf36691e4db909d7a641daa8e5983431ce6f0  trophy-1.1.5.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPL). License text included in package.
OK	latest version is being packaged.
BAD	BuildRequires are proper - ClanLib-devel is missing
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64)
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets for updating the icon cache are present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app, desktop file is installed

=> only the BR: needs fixing
 
Comment 2 Hans de Goede 2008-05-31 14:59:08 EDT
(In reply to comment #1)
> formal review:
> 

Thanks!

> 
> => only the BR: needs fixing

Duh / oops, fixed version here:
Spec URL: http://people.atrpms.net/~hdegoede/trophy.spec
SRPM URL: http://people.atrpms.net/~hdegoede/trophy-1.1.5-2.fc9.src.rpm
Comment 3 Dan Horák 2008-06-01 03:13:52 EDT
this package is APPROVED
Comment 4 Hans de Goede 2008-06-01 03:37:28 EDT
New Package CVS Request
=======================
Package Name:      trophy
Short Description: Car racing game with special features
Owners:            jwrdegoede
Branches:          F-8 F-9
InitialCC:
Cvsextras Commits: Yes

Comment 5 Kevin Fenzi 2008-06-01 13:32:01 EDT
cvs done.
Comment 6 Hans de Goede 2008-06-02 15:57:46 EDT
Imported and build, updates pushed for F-8 and F-9, closing.

Note You need to log in before you can comment on or make changes to this bug.